SrndPrefixQuery (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.surround.query.SrndPrefixQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.surround.query
Class SrndPrefixQuery

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery
          org.apache.lucene.queryParser.surround.query.SimpleTerm
              org.apache.lucene.queryParser.surround.query.SrndPrefixQuery

All Implemented Interfaces:
  Cloneable, Comparable<SimpleTerm>, DistanceSubQuery

    public class SrndPrefixQuery

extends SimpleTerm

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.queryParser.surround.query.SimpleTerm
`SimpleTerm.MatchingTermVisitor`

Field Summary

Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`SrndPrefixQuery(String prefix, boolean quoted, char truncator)`

Method Summary
`org.apache.lucene.index.Term` | `getLucenePrefixTerm(String fieldName)`
`String` | `getPrefix()`
`char` | `getSuffixOperator()`
`protected void` | `suffixToString(StringBuilder r)`
`String` | `toStringUnquoted()`
`void` | `visitMatchingTerms(org.apache.lucene.index.IndexReader reader, String fieldName, SimpleTerm.MatchingTermVisitor mtv)`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SimpleTerm
`addSpanQueries, compareTo, distanceSubQueryNotAllowed, getFieldOperator, getQuote, makeLuceneQueryFieldNoBoost, toString`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`clone, getWeight, getWeightOperator, getWeightString, isFieldsSubQueryAcceptable, isWeighted, makeLuceneQueryField, setWeight, weightToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SrndPrefixQuery

    public SrndPrefixQuery(String prefix,
                           boolean quoted,
                           char truncator)

Method Detail

### getPrefix

    public String getPrefix()

### getSuffixOperator

    public char getSuffixOperator()

### getLucenePrefixTerm

    public org.apache.lucene.index.Term getLucenePrefixTerm(String fieldName)

### toStringUnquoted

    public String toStringUnquoted()

  Specified by:
    `toStringUnquoted` in class `SimpleTerm`

### suffixToString

    protected void suffixToString(StringBuilder r)

  Overrides:
    `suffixToString` in class `SimpleTerm`

### visitMatchingTerms

    public void visitMatchingTerms(org.apache.lucene.index.IndexReader reader,
                                   String fieldName,
                                   SimpleTerm.MatchingTermVisitor mtv)
                            throws IOException

  Specified by:
    `visitMatchingTerms` in class `SimpleTerm`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD